### Hierarchy

- MetricLabel

## Index

### Properties

- converter
- position
- rendered
- scaling
- style
- text
- textType

## Properties

### converter

converter: object

The converter used to format the labels. See the Help documentation for more information.

### position

position: string

Specifies the metric label position for horizontal and vertical gauges. See the Help documentation for more information.

### rendered

rendered: string

Defines if the label is rendered. If set to auto, the label is rendered if the orientation is circular.

### scaling

scaling: string

The scaling behavior of the labels. When using a converter, scaling should be set to none, as the formatted result may not be compatible with the scaling suffixes.

### style

style: object

The CSS style object to apply to the label.

### text

text: string

The text for the label. If specified, text will overwrite the numeric value that is displayed by default. See the Help documentation for more information.

### textType

textType: string

Defines whether the label is a number or a percentage of the total value.

Generated using TypeDoc